from PyQt4 import QtCore, QtGui
import sys

# Set up the base window.
class MainWindow(QtGui.QMainWindow):
    def __init__(self, parent):
        QtGui.QMainWindow.__init__(self, parent)
        
        html = r"""
<html>
<body>
<div align=center>This should be centered.</div>
<br> This should be left justified.
<ol>
  <li>Item 1</li>
  <li>Item 2</li>
</ol>
<br>
<br>This should not be part of a list.
<br>
<br><a href="simple.html">simple.html</a>
</body>
</html>
"""

        self.browser = QtGui.QTextBrowser(self)
        self.setCentralWidget(self.browser)
        self.resize(600,400)

        self.browser.setHtml(html)
        filename = 'output_setHtml.html'
        with open(filename, 'w') as file:
            file.write(self.browser.toHtml())

        source = QtCore.QUrl('simple.html')
        self.browser.setSource(source)
        filename = 'output_setSource.html'
        with open(filename, 'w') as file:
            file.write(self.browser.toHtml())

# Initialize the Qt application
app = QtGui.QApplication(sys.argv)

# Start the program.
if __name__ == '__main__':
    main_window = MainWindow(None)
    main_window.show()
    sys.exit(app.exec_())